<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.health">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="security-enabled"/>
        <elem name="addr-params" value="subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.health"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.extension.health.http-context"/>
        <capability name="org.wildfly.extension.health.server-probes"/>
    </provides>
    <requires>
        <capability name="org.wildfly.management.model-controller-client-factory"/>
        <capability name="org.wildfly.management.executor"/>
        <capability name="org.wildfly.management.http.extensible"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
    </refs>
    <params>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="health"/>
        <param name="extension" default="org.wildfly.extension.health"/>
        <param name="security-enabled" nillable="true"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.health"/>
    </packages>
</feature-spec>